/* ==============================
   event.css
   行事・レクリエーションページ用スタイル
   グループホームサラ・エン
============================== */

/* タブ全体 */
.tab-wrap {
    background: #FFF;
    box-shadow: 0 0 5px rgba(0, 0, 0, .1);
    display: flex;
    flex-wrap: wrap;
    overflow: hidden;
    padding: 0 0 20px;
}

/* タブラベル */
.tab-label {
    color: Gray;
    cursor: pointer;
    flex: 1;
    font-weight: bold;
    order: -1;
    padding: 12px 24px;
    position: relative;
    text-align: center;
    transition: cubic-bezier(0.4, 0, 0.2, 1) .2s;
    user-select: none;
    white-space: nowrap;
    -webkit-tap-highlight-color: transparent;
}

.tab-label:hover {
    background: rgba(0, 191, 255, .1);
}

.tab-switch:checked + .tab-label {
    color: DeepSkyBlue;
}

.tab-label::after {
    background: DeepSkyBlue;
    bottom: 0;
    content: '';
    display: block;
    height: 3px;
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    transform: translateX(100%);
    transition: cubic-bezier(0.4, 0, 0.2, 1) .2s 80ms;
    width: 100%;
    z-index: 1;
}

.tab-switch:checked ~ .tab-label::after {
    transform: translateX(-100%);
}

.tab-switch:checked + .tab-label::after {
    opacity: 1;
    transform: translateX(0);
}

/* タブコンテンツ */
.tab-content {
    height: 0;
    opacity: 0;
    padding: 0 20px;
    pointer-events: none;
    transform: translateX(-30%);
    transition: transform .3s 80ms, opacity .3s 80ms;
    width: 100%;
}

.tab-content dl dt {
    display: inline;
}

.tab-content dl {
    margin: 0 15px;
    padding-top: 10px;
    border-bottom: 1px dashed #888;
    padding: 5px 0;
}

.tab-content dl dt {
    width: 134px;
    float: left;
    padding-left: 54px;
}

.tab-content dl dd {
    padding-left: 134px;
    text-align: left;
}

/* アイコン */
.tab-content dl dt.act {
    background: url("img/icon_activity.png");
    background-repeat: no-repeat;
}

.tab-content dl dt.act_meal {
    background: url("img/icon_act_meal.png");
    background-repeat: no-repeat;
}

.tab-content dl dt.meal {
    background: url("img/icon_meal.png");
    background-repeat: no-repeat;
}

.tab-content dl dt.infor {
    background: url("img/icon_infor.png");
    background-repeat: no-repeat;
}

/* リンク */
.tab-content a {
    color: #000;
}

/* スケジュール */
.tab-content .schedule {
    text-align: center;
}

.tab-content .schedule a img {
    border: 3px solid #A3DBFF;
}

/* アクティブタブのコンテンツ表示 */
.tab-switch:checked ~ .tab-content {
    transform: translateX(30%);
}

.tab-switch:checked + .tab-label + .tab-content {
    height: auto;
    opacity: 1;
    order: 1;
    pointer-events: auto;
    transform: translateX(0);
    min-height: 400px;
}

.tab-wrap::after {
    content: '';
    height: 20px;
    order: -1;
    width: 100%;
}

/* タブ切り替え（非表示） */
.tab-switch {
    display: none;
}